Description

Hello,

I upgraded foreman from 1.14.3 to 1.15.0. 

 When I provision host through pxe boot it never ends.

 usually MAC based file under changed to local boot upon provisioning completed.

 but in forman-1.15.0 it never changed to local boot after provisioning complted.

 
[root@ol07fmn00 ~]# more  /var/lib/tftpboot/pxelinux.cfg/01-52-54-00-2f-f7-db

default linux

label linux

kernel boot/OracleLinux-7.3-x86_64-vmlinuz

append initrd=boot/OracleLinux-7.3-x86_64-initrd.img ks=http://129.144.66.4/unattended/provision?t

oken=7ff87419-264f-4582-bf9f-2b0d039

6b8c5 ksdevice=52:54:00:2f:f7:db network kssendmac

IPAPPEND 2

 
the above file will change as below after provisioning completed

 [root@ol07fmn00 ~]# more  /var/lib/tftpboot/pxelinux.cfg/01-52-54-00-a8-65-76

 DEFAULT menu

PROMPT 0

MENU TITLE PXE Menu

TIMEOUT 200

TOTALTIMEOUT 6000

ONTIMEOUT local

LABEL local

MENU LABEL Chainload into bootloader on the first disk

MENU DEFAULT

LOCALBOOT 0

LABEL local_legacy

MENU LABEL Chainload into bootloader on the first disk - alternative

COM32 chain.c32

APPEND hd0

but it never happened in foreman-1.15.0

 
please help me

 
build status under properties tab never change to installed

 
Thanks

  Laxman

History

#1 - 05/17/2017 03:11 AM - Dominic Cleal

- Tracker changed from Bug to Support

05/20/2024 1/2



- Project changed from Smart Proxy to Foreman

- Category deleted (TFTP)

- Status changed from New to Feedback

Please use the mailing list or IRC channel for support, not the bug tracker: https://theforeman.org/support.html

Without any logs from the build completion, it's very difficult to say whether this is a bug or configuration error. There should be an /unattended/built

call logged at the end of the build.

#2 - 05/17/2017 11:33 AM - Anonymous

- Status changed from Feedback to Resolved

Files

foreman-1.15.0_pxe error.PNG 38.5 KB 05/16/2017 laxman veeturi
